diff -uN arpack-ng-3.1.5//Makefile.in.ORG arpack-ng-3.1.5//Makefile.in
--- arpack-ng-3.1.5//Makefile.in.ORG	2014-02-15 22:46:02.000000000 +0900
+++ arpack-ng-3.1.5//Makefile.in	2014-08-07 16:23:39.727063000 +0900
@@ -391,7 +391,7 @@
 libarpack_la_LIBADD = \
 	$(top_builddir)/SRC/libarpacksrc.la \
 	$(top_builddir)/UTIL/libarpackutil.la \
-	$(BLAS_LIBS) $(LAPACK_LIBS)
+	$(LAPACK_LIBS) $(BLAS_LIBS)
 
 EXTRA_DIST = README PARPACK_CHANGES CHANGES DOCUMENTS EXAMPLES VISUAL_STUDIO \
 detect_arpack_bug.m4
diff -uN arpack-ng-3.1.5/TESTS/Makefile.in.ORG arpack-ng-3.1.5/TESTS/Makefile.in
--- arpack-ng-3.1.5/TESTS/Makefile.in.ORG	2014-02-15 22:46:02.000000000 +0900
+++ arpack-ng-3.1.5/TESTS/Makefile.in	2014-08-07 16:24:37.724788000 +0900
@@ -508,10 +508,10 @@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
 dnsimp_SOURCES = dnsimp.f mmio.f debug.h
-dnsimp_LDADD = ../libarpack.la $(BLAS_LIBS) $(LAPACK_LIBS)
+dnsimp_LDADD = ../libarpack.la $(LAPACK_LIBS) $(BLAS_LIBS)
 EXTRA_DIST = testA.mtx
 bug_1323_SOURCES = bug_1323.f
-bug_1323_LDADD = ../libarpack.la $(BLAS_LIBS) $(LAPACK_LIBS)
+bug_1323_LDADD = ../libarpack.la $(LAPACK_LIBS) $(BLAS_LIBS)
 all: all-am
 
 .SUFFIXES:
diff -uN arpack-ng-3.1.5/PARPACK/Makefile.in.ORG arpack-ng-3.1.5/PARPACK/Makefile.in
--- arpack-ng-3.1.5/PARPACK/Makefile.in.ORG	2014-02-15 22:46:02.000000000 +0900
+++ arpack-ng-3.1.5/PARPACK/Makefile.in	2014-08-07 16:26:33.284456000 +0900
@@ -372,7 +372,7 @@
 	$(top_builddir)/UTIL/libarpackutil.la \
 	$(top_builddir)/PARPACK/SRC/MPI/libparpacksrcmpi.la \
 	$(top_builddir)/PARPACK/UTIL/MPI/libparpackutilmpi.la \
-	$(BLAS_LIBS) $(LAPACK_LIBS) $(MPILIBS)
+	$(LAPACK_LIBS) $(BLAS_LIBS) $(MPILIBS)
 
 all: all-recursive
 
diff -uN arpack-ng-3.1.5/EXAMPLES/BAND/Makefile.in.ORG arpack-ng-3.1.5/EXAMPLES/BAND/Makefile.in
--- arpack-ng-3.1.5/EXAMPLES/BAND/Makefile.in.ORG	2014-02-15 22:57:07.000000000 +0900
+++ arpack-ng-3.1.5/EXAMPLES/BAND/Makefile.in	2014-08-07 16:43:57.648045000 +0900
@@ -650,71 +650,71 @@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
 cnbdr1_SOURCES = cnbdr1.f cnband.f
-cnbdr1_LDADD = ../../libarpack.la $(BLAS_LIBS) $(LAPACK_LIBS)
+cnbdr1_LDADD = ../../libarpack.la $(LAPACK_LIBS) $(BLAS_LIBS)
 cnbdr2_SOURCES = cnbdr2.f cnband.f
-cnbdr2_LDADD = ../../libarpack.la $(BLAS_LIBS) $(LAPACK_LIBS)
+cnbdr2_LDADD = ../../libarpack.la $(LAPACK_LIBS) $(BLAS_LIBS)
 cnbdr3_SOURCES = cnbdr3.f cnband.f
-cnbdr3_LDADD = ../../libarpack.la $(BLAS_LIBS) $(LAPACK_LIBS)
+cnbdr3_LDADD = ../../libarpack.la $(LAPACK_LIBS) $(BLAS_LIBS)
 cnbdr4_SOURCES = cnbdr4.f cnband.f
-cnbdr4_LDADD = ../../libarpack.la $(BLAS_LIBS) $(LAPACK_LIBS)
+cnbdr4_LDADD = ../../libarpack.la $(LAPACK_LIBS) $(BLAS_LIBS)
 dnbdr1_SOURCES = dnbdr1.f dnband.f
-dnbdr1_LDADD = ../../libarpack.la $(BLAS_LIBS) $(LAPACK_LIBS)
+dnbdr1_LDADD = ../../libarpack.la $(LAPACK_LIBS) $(BLAS_LIBS)
 dnbdr2_SOURCES = dnbdr2.f dnband.f
-dnbdr2_LDADD = ../../libarpack.la $(BLAS_LIBS) $(LAPACK_LIBS)
+dnbdr2_LDADD = ../../libarpack.la $(LAPACK_LIBS) $(BLAS_LIBS)
 dnbdr3_SOURCES = dnbdr3.f dnband.f
-dnbdr3_LDADD = ../../libarpack.la $(BLAS_LIBS) $(LAPACK_LIBS)
+dnbdr3_LDADD = ../../libarpack.la $(LAPACK_LIBS) $(BLAS_LIBS)
 dnbdr4_SOURCES = dnbdr4.f dnband.f
-dnbdr4_LDADD = ../../libarpack.la $(BLAS_LIBS) $(LAPACK_LIBS)
+dnbdr4_LDADD = ../../libarpack.la $(LAPACK_LIBS) $(BLAS_LIBS)
 dnbdr5_SOURCES = dnbdr5.f dnband.f
-dnbdr5_LDADD = ../../libarpack.la $(BLAS_LIBS) $(LAPACK_LIBS)
+dnbdr5_LDADD = ../../libarpack.la $(LAPACK_LIBS) $(BLAS_LIBS)
 dnbdr6_SOURCES = dnbdr6.f dnband.f
-dnbdr6_LDADD = ../../libarpack.la $(BLAS_LIBS) $(LAPACK_LIBS)
+dnbdr6_LDADD = ../../libarpack.la $(LAPACK_LIBS) $(BLAS_LIBS)
 dsbdr1_SOURCES = dsbdr1.f dsband.f
-dsbdr1_LDADD = ../../libarpack.la $(BLAS_LIBS) $(LAPACK_LIBS)
+dsbdr1_LDADD = ../../libarpack.la $(LAPACK_LIBS) $(BLAS_LIBS)
 dsbdr2_SOURCES = dsbdr2.f dsband.f
-dsbdr2_LDADD = ../../libarpack.la $(BLAS_LIBS) $(LAPACK_LIBS)
+dsbdr2_LDADD = ../../libarpack.la $(LAPACK_LIBS) $(BLAS_LIBS)
 dsbdr3_SOURCES = dsbdr3.f dsband.f
-dsbdr3_LDADD = ../../libarpack.la $(BLAS_LIBS) $(LAPACK_LIBS)
+dsbdr3_LDADD = ../../libarpack.la $(LAPACK_LIBS) $(BLAS_LIBS)
 dsbdr4_SOURCES = dsbdr4.f dsband.f
-dsbdr4_LDADD = ../../libarpack.la $(BLAS_LIBS) $(LAPACK_LIBS)
+dsbdr4_LDADD = ../../libarpack.la $(LAPACK_LIBS) $(BLAS_LIBS)
 dsbdr5_SOURCES = dsbdr5.f dsband.f
-dsbdr5_LDADD = ../../libarpack.la $(BLAS_LIBS) $(LAPACK_LIBS)
+dsbdr5_LDADD = ../../libarpack.la $(LAPACK_LIBS) $(BLAS_LIBS)
 dsbdr6_SOURCES = dsbdr6.f dsband.f
-dsbdr6_LDADD = ../../libarpack.la $(BLAS_LIBS) $(LAPACK_LIBS)
+dsbdr6_LDADD = ../../libarpack.la $(LAPACK_LIBS) $(BLAS_LIBS)
 snband_SOURCES = snband.f
-snband_LDADD = ../../libarpack.la $(BLAS_LIBS) $(LAPACK_LIBS)
+snband_LDADD = ../../libarpack.la $(LAPACK_LIBS) $(BLAS_LIBS)
 snbdr1_SOURCES = snbdr1.f snband.f
-snbdr1_LDADD = ../../libarpack.la $(BLAS_LIBS) $(LAPACK_LIBS)
+snbdr1_LDADD = ../../libarpack.la $(LAPACK_LIBS) $(BLAS_LIBS)
 snbdr2_SOURCES = snbdr2.f snband.f
-snbdr2_LDADD = ../../libarpack.la $(BLAS_LIBS) $(LAPACK_LIBS)
+snbdr2_LDADD = ../../libarpack.la $(LAPACK_LIBS) $(BLAS_LIBS)
 snbdr3_SOURCES = snbdr3.f snband.f
-snbdr3_LDADD = ../../libarpack.la $(BLAS_LIBS) $(LAPACK_LIBS)
+snbdr3_LDADD = ../../libarpack.la $(LAPACK_LIBS) $(BLAS_LIBS)
 snbdr4_SOURCES = snbdr4.f snband.f
-snbdr4_LDADD = ../../libarpack.la $(BLAS_LIBS) $(LAPACK_LIBS)
+snbdr4_LDADD = ../../libarpack.la $(LAPACK_LIBS) $(BLAS_LIBS)
 snbdr5_SOURCES = snbdr5.f snband.f
-snbdr5_LDADD = ../../libarpack.la $(BLAS_LIBS) $(LAPACK_LIBS)
+snbdr5_LDADD = ../../libarpack.la $(LAPACK_LIBS) $(BLAS_LIBS)
 snbdr6_SOURCES = snbdr6.f snband.f
-snbdr6_LDADD = ../../libarpack.la $(BLAS_LIBS) $(LAPACK_LIBS)
+snbdr6_LDADD = ../../libarpack.la $(LAPACK_LIBS) $(BLAS_LIBS)
 ssbdr1_SOURCES = ssbdr1.f ssband.f
-ssbdr1_LDADD = ../../libarpack.la $(BLAS_LIBS) $(LAPACK_LIBS)
+ssbdr1_LDADD = ../../libarpack.la $(LAPACK_LIBS) $(BLAS_LIBS)
 ssbdr2_SOURCES = ssbdr2.f ssband.f
-ssbdr2_LDADD = ../../libarpack.la $(BLAS_LIBS) $(LAPACK_LIBS)
+ssbdr2_LDADD = ../../libarpack.la $(LAPACK_LIBS) $(BLAS_LIBS)
 ssbdr3_SOURCES = ssbdr3.f ssband.f
-ssbdr3_LDADD = ../../libarpack.la $(BLAS_LIBS) $(LAPACK_LIBS)
+ssbdr3_LDADD = ../../libarpack.la $(LAPACK_LIBS) $(BLAS_LIBS)
 ssbdr4_SOURCES = ssbdr4.f ssband.f
-ssbdr4_LDADD = ../../libarpack.la $(BLAS_LIBS) $(LAPACK_LIBS)
+ssbdr4_LDADD = ../../libarpack.la $(LAPACK_LIBS) $(BLAS_LIBS)
 ssbdr5_SOURCES = ssbdr5.f ssband.f
-ssbdr5_LDADD = ../../libarpack.la $(BLAS_LIBS) $(LAPACK_LIBS)
+ssbdr5_LDADD = ../../libarpack.la $(LAPACK_LIBS) $(BLAS_LIBS)
 ssbdr6_SOURCES = ssbdr6.f ssband.f
-ssbdr6_LDADD = ../../libarpack.la $(BLAS_LIBS) $(LAPACK_LIBS)
+ssbdr6_LDADD = ../../libarpack.la $(LAPACK_LIBS) $(BLAS_LIBS)
 znbdr1_SOURCES = znbdr1.f znband.f
-znbdr1_LDADD = ../../libarpack.la $(BLAS_LIBS) $(LAPACK_LIBS)
+znbdr1_LDADD = ../../libarpack.la $(LAPACK_LIBS) $(BLAS_LIBS)
 znbdr2_SOURCES = znbdr2.f znband.f
-znbdr2_LDADD = ../../libarpack.la $(BLAS_LIBS) $(LAPACK_LIBS)
+znbdr2_LDADD = ../../libarpack.la $(LAPACK_LIBS) $(BLAS_LIBS)
 znbdr3_SOURCES = znbdr3.f znband.f
-znbdr3_LDADD = ../../libarpack.la $(BLAS_LIBS) $(LAPACK_LIBS)
+znbdr3_LDADD = ../../libarpack.la $(LAPACK_LIBS) $(BLAS_LIBS)
 znbdr4_SOURCES = znbdr4.f znband.f
-znbdr4_LDADD = ../../libarpack.la $(BLAS_LIBS) $(LAPACK_LIBS)
+znbdr4_LDADD = ../../libarpack.la $(LAPACK_LIBS) $(BLAS_LIBS)
 all: all-am
 
 .SUFFIXES:
diff -uN arpack-ng-3.1.5/EXAMPLES/COMPLEX/Makefile.in.ORG arpack-ng-3.1.5/EXAMPLES/COMPLEX/Makefile.in
--- arpack-ng-3.1.5/EXAMPLES/COMPLEX/Makefile.in.ORG	2014-02-15 22:49:48.000000000 +0900
+++ arpack-ng-3.1.5/EXAMPLES/COMPLEX/Makefile.in	2014-08-07 16:44:22.400656000 +0900
@@ -522,21 +522,21 @@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
 cndrv1_SOURCES = cndrv1.f
-cndrv1_LDADD = ../../libarpack.la $(BLAS_LIBS) $(LAPACK_LIBS)
+cndrv1_LDADD = ../../libarpack.la $(LAPACK_LIBS) $(BLAS_LIBS)
 cndrv2_SOURCES = cndrv2.f
-cndrv2_LDADD = ../../libarpack.la $(BLAS_LIBS) $(LAPACK_LIBS)
+cndrv2_LDADD = ../../libarpack.la $(LAPACK_LIBS) $(BLAS_LIBS)
 cndrv3_SOURCES = cndrv3.f
-cndrv3_LDADD = ../../libarpack.la $(BLAS_LIBS) $(LAPACK_LIBS)
+cndrv3_LDADD = ../../libarpack.la $(LAPACK_LIBS) $(BLAS_LIBS)
 cndrv4_SOURCES = cndrv4.f
-cndrv4_LDADD = ../../libarpack.la $(BLAS_LIBS) $(LAPACK_LIBS)
+cndrv4_LDADD = ../../libarpack.la $(LAPACK_LIBS) $(BLAS_LIBS)
 zndrv1_SOURCES = zndrv1.f
-zndrv1_LDADD = ../../libarpack.la $(BLAS_LIBS) $(LAPACK_LIBS)
+zndrv1_LDADD = ../../libarpack.la $(LAPACK_LIBS) $(BLAS_LIBS)
 zndrv2_SOURCES = zndrv2.f
-zndrv2_LDADD = ../../libarpack.la $(BLAS_LIBS) $(LAPACK_LIBS)
+zndrv2_LDADD = ../../libarpack.la $(LAPACK_LIBS) $(BLAS_LIBS)
 zndrv3_SOURCES = zndrv3.f
-zndrv3_LDADD = ../../libarpack.la $(BLAS_LIBS) $(LAPACK_LIBS)
+zndrv3_LDADD = ../../libarpack.la $(LAPACK_LIBS) $(BLAS_LIBS)
 zndrv4_SOURCES = zndrv4.f
-zndrv4_LDADD = ../../libarpack.la $(BLAS_LIBS) $(LAPACK_LIBS)
+zndrv4_LDADD = ../../libarpack.la $(LAPACK_LIBS) $(BLAS_LIBS)
 all: all-am
 
 .SUFFIXES:
diff -uN arpack-ng-3.1.5/EXAMPLES/NONSYM/Makefile.in.ORG arpack-ng-3.1.5/EXAMPLES/NONSYM/Makefile.in
--- arpack-ng-3.1.5/EXAMPLES/NONSYM/Makefile.in.ORG	2014-02-15 22:49:48.000000000 +0900
+++ arpack-ng-3.1.5/EXAMPLES/NONSYM/Makefile.in	2014-08-07 16:44:33.343866000 +0900
@@ -542,29 +542,29 @@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
 dndrv1_SOURCES = dndrv1.f
-dndrv1_LDADD = ../../libarpack.la $(BLAS_LIBS) $(LAPACK_LIBS)
+dndrv1_LDADD = ../../libarpack.la $(LAPACK_LIBS) $(BLAS_LIBS)
 dndrv2_SOURCES = dndrv2.f
-dndrv2_LDADD = ../../libarpack.la $(BLAS_LIBS) $(LAPACK_LIBS)
+dndrv2_LDADD = ../../libarpack.la $(LAPACK_LIBS) $(BLAS_LIBS)
 dndrv3_SOURCES = dndrv3.f
-dndrv3_LDADD = ../../libarpack.la $(BLAS_LIBS) $(LAPACK_LIBS)
+dndrv3_LDADD = ../../libarpack.la $(LAPACK_LIBS) $(BLAS_LIBS)
 dndrv4_SOURCES = dndrv4.f
-dndrv4_LDADD = ../../libarpack.la $(BLAS_LIBS) $(LAPACK_LIBS)
+dndrv4_LDADD = ../../libarpack.la $(LAPACK_LIBS) $(BLAS_LIBS)
 dndrv5_SOURCES = dndrv5.f
-dndrv5_LDADD = ../../libarpack.la $(BLAS_LIBS) $(LAPACK_LIBS)
+dndrv5_LDADD = ../../libarpack.la $(LAPACK_LIBS) $(BLAS_LIBS)
 dndrv6_SOURCES = dndrv6.f
-dndrv6_LDADD = ../../libarpack.la $(BLAS_LIBS) $(LAPACK_LIBS)
+dndrv6_LDADD = ../../libarpack.la $(LAPACK_LIBS) $(BLAS_LIBS)
 sndrv1_SOURCES = sndrv1.f
-sndrv1_LDADD = ../../libarpack.la $(BLAS_LIBS) $(LAPACK_LIBS)
+sndrv1_LDADD = ../../libarpack.la $(LAPACK_LIBS) $(BLAS_LIBS)
 sndrv2_SOURCES = sndrv2.f
-sndrv2_LDADD = ../../libarpack.la $(BLAS_LIBS) $(LAPACK_LIBS)
+sndrv2_LDADD = ../../libarpack.la $(LAPACK_LIBS) $(BLAS_LIBS)
 sndrv3_SOURCES = sndrv3.f
-sndrv3_LDADD = ../../libarpack.la $(BLAS_LIBS) $(LAPACK_LIBS)
+sndrv3_LDADD = ../../libarpack.la $(LAPACK_LIBS) $(BLAS_LIBS)
 sndrv4_SOURCES = sndrv4.f
-sndrv4_LDADD = ../../libarpack.la $(BLAS_LIBS) $(LAPACK_LIBS)
+sndrv4_LDADD = ../../libarpack.la $(LAPACK_LIBS) $(BLAS_LIBS)
 sndrv5_SOURCES = sndrv5.f
-sndrv5_LDADD = ../../libarpack.la $(BLAS_LIBS) $(LAPACK_LIBS)
+sndrv5_LDADD = ../../libarpack.la $(LAPACK_LIBS) $(BLAS_LIBS)
 sndrv6_SOURCES = sndrv6.f
-sndrv6_LDADD = ../../libarpack.la $(BLAS_LIBS) $(LAPACK_LIBS)
+sndrv6_LDADD = ../../libarpack.la $(LAPACK_LIBS) $(BLAS_LIBS)
 all: all-am
 
 .SUFFIXES:
diff -uN arpack-ng-3.1.5/EXAMPLES/SIMPLE/Makefile.in.ORG arpack-ng-3.1.5/EXAMPLES/SIMPLE/Makefile.in
--- arpack-ng-3.1.5/EXAMPLES/SIMPLE/Makefile.in.ORG	2014-02-15 22:49:48.000000000 +0900
+++ arpack-ng-3.1.5/EXAMPLES/SIMPLE/Makefile.in	2014-08-07 16:44:42.301352000 +0900
@@ -510,17 +510,17 @@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
 cnsimp_SOURCES = cnsimp.f
-cnsimp_LDADD = ../../libarpack.la $(BLAS_LIBS) $(LAPACK_LIBS)
+cnsimp_LDADD = ../../libarpack.la $(LAPACK_LIBS) $(BLAS_LIBS)
 dnsimp_SOURCES = dnsimp.f
-dnsimp_LDADD = ../../libarpack.la $(BLAS_LIBS) $(LAPACK_LIBS)
+dnsimp_LDADD = ../../libarpack.la $(LAPACK_LIBS) $(BLAS_LIBS)
 dssimp_SOURCES = dssimp.f
-dssimp_LDADD = ../../libarpack.la $(BLAS_LIBS) $(LAPACK_LIBS)
+dssimp_LDADD = ../../libarpack.la $(LAPACK_LIBS) $(BLAS_LIBS)
 snsimp_SOURCES = snsimp.f
-snsimp_LDADD = ../../libarpack.la $(BLAS_LIBS) $(LAPACK_LIBS)
+snsimp_LDADD = ../../libarpack.la $(LAPACK_LIBS) $(BLAS_LIBS)
 sssimp_SOURCES = sssimp.f
-sssimp_LDADD = ../../libarpack.la $(BLAS_LIBS) $(LAPACK_LIBS)
+sssimp_LDADD = ../../libarpack.la $(LAPACK_LIBS) $(BLAS_LIBS)
 znsimp_SOURCES = znsimp.f
-znsimp_LDADD = ../../libarpack.la $(BLAS_LIBS) $(LAPACK_LIBS)
+znsimp_LDADD = ../../libarpack.la $(LAPACK_LIBS) $(BLAS_LIBS)
 all: all-am
 
 .SUFFIXES:
diff -uN arpack-ng-3.1.5/EXAMPLES/SVD/Makefile.in.ORG arpack-ng-3.1.5/EXAMPLES/SVD/Makefile.in
--- arpack-ng-3.1.5/EXAMPLES/SVD/Makefile.in.ORG	2014-02-15 22:58:53.000000000 +0900
+++ arpack-ng-3.1.5/EXAMPLES/SVD/Makefile.in	2014-08-07 16:44:51.420472000 +0900
@@ -490,9 +490,9 @@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
 dsvd_SOURCES = dsvd.f
-dsvd_LDADD = ../../libarpack.la $(BLAS_LIBS) $(LAPACK_LIBS)
+dsvd_LDADD = ../../libarpack.la $(LAPACK_LIBS) $(BLAS_LIBS)
 ssvd_SOURCES = ssvd.f
-ssvd_LDADD = ../../libarpack.la $(BLAS_LIBS) $(LAPACK_LIBS)
+ssvd_LDADD = ../../libarpack.la $(LAPACK_LIBS) $(BLAS_LIBS)
 all: all-am
 
 .SUFFIXES:
diff -uN arpack-ng-3.1.5/EXAMPLES/SYM/Makefile.in.ORG arpack-ng-3.1.5/EXAMPLES/SYM/Makefile.in
--- arpack-ng-3.1.5/EXAMPLES/SYM/Makefile.in.ORG	2014-02-15 22:49:49.000000000 +0900
+++ arpack-ng-3.1.5/EXAMPLES/SYM/Makefile.in	2014-08-07 16:45:03.418060000 +0900
@@ -542,29 +542,29 @@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
 dsdrv1_SOURCES = dsdrv1.f
-dsdrv1_LDADD = ../../libarpack.la $(BLAS_LIBS) $(LAPACK_LIBS)
+dsdrv1_LDADD = ../../libarpack.la $(LAPACK_LIBS) $(BLAS_LIBS)
 dsdrv2_SOURCES = dsdrv2.f
-dsdrv2_LDADD = ../../libarpack.la $(BLAS_LIBS) $(LAPACK_LIBS)
+dsdrv2_LDADD = ../../libarpack.la $(LAPACK_LIBS) $(BLAS_LIBS)
 dsdrv3_SOURCES = dsdrv3.f
-dsdrv3_LDADD = ../../libarpack.la $(BLAS_LIBS) $(LAPACK_LIBS)
+dsdrv3_LDADD = ../../libarpack.la $(LAPACK_LIBS) $(BLAS_LIBS)
 dsdrv4_SOURCES = dsdrv4.f
-dsdrv4_LDADD = ../../libarpack.la $(BLAS_LIBS) $(LAPACK_LIBS)
+dsdrv4_LDADD = ../../libarpack.la $(LAPACK_LIBS) $(BLAS_LIBS)
 dsdrv5_SOURCES = dsdrv5.f
-dsdrv5_LDADD = ../../libarpack.la $(BLAS_LIBS) $(LAPACK_LIBS)
+dsdrv5_LDADD = ../../libarpack.la $(LAPACK_LIBS) $(BLAS_LIBS)
 dsdrv6_SOURCES = dsdrv6.f
-dsdrv6_LDADD = ../../libarpack.la $(BLAS_LIBS) $(LAPACK_LIBS)
+dsdrv6_LDADD = ../../libarpack.la $(LAPACK_LIBS) $(BLAS_LIBS)
 ssdrv1_SOURCES = ssdrv1.f
-ssdrv1_LDADD = ../../libarpack.la $(BLAS_LIBS) $(LAPACK_LIBS)
+ssdrv1_LDADD = ../../libarpack.la $(LAPACK_LIBS) $(BLAS_LIBS)
 ssdrv2_SOURCES = ssdrv2.f
-ssdrv2_LDADD = ../../libarpack.la $(BLAS_LIBS) $(LAPACK_LIBS)
+ssdrv2_LDADD = ../../libarpack.la $(LAPACK_LIBS) $(BLAS_LIBS)
 ssdrv3_SOURCES = ssdrv3.f
-ssdrv3_LDADD = ../../libarpack.la $(BLAS_LIBS) $(LAPACK_LIBS)
+ssdrv3_LDADD = ../../libarpack.la $(LAPACK_LIBS) $(BLAS_LIBS)
 ssdrv4_SOURCES = ssdrv4.f
-ssdrv4_LDADD = ../../libarpack.la $(BLAS_LIBS) $(LAPACK_LIBS)
+ssdrv4_LDADD = ../../libarpack.la $(LAPACK_LIBS) $(BLAS_LIBS)
 ssdrv5_SOURCES = ssdrv5.f
-ssdrv5_LDADD = ../../libarpack.la $(BLAS_LIBS) $(LAPACK_LIBS)
+ssdrv5_LDADD = ../../libarpack.la $(LAPACK_LIBS) $(BLAS_LIBS)
 ssdrv6_SOURCES = ssdrv6.f
-ssdrv6_LDADD = ../../libarpack.la $(BLAS_LIBS) $(LAPACK_LIBS)
+ssdrv6_LDADD = ../../libarpack.la $(LAPACK_LIBS) $(BLAS_LIBS)
 all: all-am
 
 .SUFFIXES:
diff -uN arpack-ng-3.1.5/PARPACK/EXAMPLES/BLACS/Makefile.in.ORG arpack-ng-3.1.5/PARPACK/EXAMPLES/BLACS/Makefile.in
--- arpack-ng-3.1.5/PARPACK/EXAMPLES/BLACS/Makefile.in.ORG	2014-02-15 22:46:02.000000000 +0900
+++ arpack-ng-3.1.5/PARPACK/EXAMPLES/BLACS/Makefile.in	2014-08-07 16:43:08.711994000 +0900
@@ -20,31 +20,31 @@
 
 # pzndrv1_SOURCES = pzndrv1.f
 
-# pzndrv1_LDADD=../../../PARPACK/SRC/BLACS/libparpacksrc.la $(BLAS_LIBS) $(LAPACK_LIBS)
+# pzndrv1_LDADD=../../../PARPACK/SRC/BLACS/libparpacksrc.la $(LAPACK_LIBS) $(BLAS_LIBS)
 
 # psndrv3_SOURCES = psndrv3.f
 
-# psndrv3_LDADD=../../../PARPACK/SRC/BLACS/libparpacksrc.la $(BLAS_LIBS) $(LAPACK_LIBS)
+# psndrv3_LDADD=../../../PARPACK/SRC/BLACS/libparpacksrc.la $(LAPACK_LIBS) $(BLAS_LIBS)
 
 # pdndrv1_SOURCES = pdndrv1.f
 
-# pdndrv1_LDADD=../../../PARPACK/SRC/BLACS/libparpacksrc.la $(BLAS_LIBS) $(LAPACK_LIBS)
+# pdndrv1_LDADD=../../../PARPACK/SRC/BLACS/libparpacksrc.la $(LAPACK_LIBS) $(BLAS_LIBS)
 
 # pdndrv3_SOURCES = pdndrv3.f
 
-# pdndrv3_LDADD=../../../PARPACK/SRC/BLACS/libparpacksrc.la $(BLAS_LIBS) $(LAPACK_LIBS)
+# pdndrv3_LDADD=../../../PARPACK/SRC/BLACS/libparpacksrc.la $(LAPACK_LIBS) $(BLAS_LIBS)
 
 # pssdrv1_SOURCES = pssdrv1.f
 
-# pssdrv1_LDADD=../../../PARPACK/SRC/BLACS/libparpacksrc.la $(BLAS_LIBS) $(LAPACK_LIBS)
+# pssdrv1_LDADD=../../../PARPACK/SRC/BLACS/libparpacksrc.la $(LAPACK_LIBS) $(BLAS_LIBS)
 
 # pdsdrv1_SOURCES = pdsdrv1.f
 
-# pdsdrv1_LDADD=../../../PARPACK/SRC/BLACS/libparpacksrc.la $(BLAS_LIBS) $(LAPACK_LIBS)
+# pdsdrv1_LDADD=../../../PARPACK/SRC/BLACS/libparpacksrc.la $(LAPACK_LIBS) $(BLAS_LIBS)
 
 # pcndrv1_SOURCES = pcndrv1.f
 
-# pcndrv1_LDADD=../../../PARPACK/SRC/BLACS/libparpacksrc.la $(BLAS_LIBS) $(LAPACK_LIBS)
+# pcndrv1_LDADD=../../../PARPACK/SRC/BLACS/libparpacksrc.la $(LAPACK_LIBS) $(BLAS_LIBS)
 VPATH = @srcdir@
 am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
 am__make_running_with_option = \
diff -uN arpack-ng-3.1.5/PARPACK/EXAMPLES/MPI/Makefile.in.ORG arpack-ng-3.1.5/PARPACK/EXAMPLES/MPI/Makefile.in
--- arpack-ng-3.1.5/PARPACK/EXAMPLES/MPI/Makefile.in.ORG	2014-02-15 22:46:02.000000000 +0900
+++ arpack-ng-3.1.5/PARPACK/EXAMPLES/MPI/Makefile.in	2014-08-07 16:43:30.564359000 +0900
@@ -313,19 +313,19 @@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
 pzndrv1_SOURCES = pzndrv1.f
-pzndrv1_LDADD = ../../libparpack.la $(BLAS_LIBS) $(LAPACK_LIBS)
+pzndrv1_LDADD = ../../libparpack.la $(LAPACK_LIBS) $(BLAS_LIBS)
 psndrv3_SOURCES = psndrv3.f
-psndrv3_LDADD = ../../libparpack.la $(BLAS_LIBS) $(LAPACK_LIBS)
+psndrv3_LDADD = ../../libparpack.la $(LAPACK_LIBS) $(BLAS_LIBS)
 pdndrv1_SOURCES = pdndrv1.f
-pdndrv1_LDADD = ../../libparpack.la $(BLAS_LIBS) $(LAPACK_LIBS)
+pdndrv1_LDADD = ../../libparpack.la $(LAPACK_LIBS) $(BLAS_LIBS)
 pdndrv3_SOURCES = pdndrv3.f
-pdndrv3_LDADD = ../../libparpack.la $(BLAS_LIBS) $(LAPACK_LIBS)
+pdndrv3_LDADD = ../../libparpack.la $(LAPACK_LIBS) $(BLAS_LIBS)
 pssdrv1_SOURCES = pssdrv1.f
-pssdrv1_LDADD = ../../libparpack.la $(BLAS_LIBS) $(LAPACK_LIBS)
+pssdrv1_LDADD = ../../libparpack.la $(LAPACK_LIBS) $(BLAS_LIBS)
 pdsdrv1_SOURCES = pdsdrv1.f
-pdsdrv1_LDADD = ../../libparpack.la $(BLAS_LIBS) $(LAPACK_LIBS)
+pdsdrv1_LDADD = ../../libparpack.la $(LAPACK_LIBS) $(BLAS_LIBS)
 pcndrv1_SOURCES = pcndrv1.f
-pcndrv1_LDADD = ../../libparpack.la $(BLAS_LIBS) $(LAPACK_LIBS)
+pcndrv1_LDADD = ../../libparpack.la $(LAPACK_LIBS) $(BLAS_LIBS)
 EXTRA_DIST = debug.h \
 psndrv1.f \
 stat.h